> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Создать API-ключ

POST https://api.agentinbox.space/v0/inboxes/{inbox_id}/api-keys
Content-Type: application/json

**CLI:**

```bash
agentinbox inboxes:api-keys create --inbox-id <inbox_id> --name "My Key"
```

Reference: https://agentinbox.space/api-reference/inboxes/api-keys/create

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Path parameters

- `inbox_id` (string, required) — Идентификатор ящика.

### Body (application/json)

This endpoint expects a CreateApiKeyRequest.

- `name` (string, optional) — Имя API-ключа.
- `permissions` (ApiKeyPermissions, optional) — Гранулярные разрешения API-ключа. Если не указано — выдаются все разрешения. Иначе действуют только разрешения со значением true.

## Response

### 200

- `api_key_id` (string, required) — Идентификатор API-ключа.
- `api_key` (string, required) — Секретное значение API-ключа.
- `prefix` (string, required) — Префикс API-ключа.
- `name` (string, required) — Имя API-ключа.
- `created_at` (datetime, required) — Время создания API-ключа.
- `pod_id` (string, optional) — Идентификатор пода области действия ключа.
- `inbox_id` (string, optional) — Идентификатор ящика области действия ключа.
- `permissions` (ApiKeyPermissions, optional) — Гранулярные разрешения API-ключа. Если не указано — выдаются все разрешения. Иначе действуют только разрешения со значением true.

## Errors

### 404 Not Found Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

### 400 Validation Error

- `name` (string, required) — Имя ошибки.
- `errors` (any, required) — Ошибки валидации.

## Types

### ApiKeyPermissions

Гранулярные разрешения API-ключа. Если не указано — выдаются все разрешения. Иначе действуют только разрешения со значением true.

- `inbox_read` (boolean, optional) — Чтение данных ящика.
- `inbox_create` (boolean, optional) — Создание ящиков.
- `inbox_update` (boolean, optional) — Изменение настроек ящика.
- `inbox_delete` (boolean, optional) — Удаление ящиков.
- `thread_read` (boolean, optional) — Чтение цепочек.
- `thread_delete` (boolean, optional) — Удаление цепочек.
- `message_read` (boolean, optional) — Чтение сообщений.
- `message_send` (boolean, optional) — Отправка сообщений.
- `message_update` (boolean, optional) — Изменение меток сообщений.
- `label_spam_read` (boolean, optional) — Доступ к сообщениям с меткой спама.
- `label_blocked_read` (boolean, optional) — Доступ к сообщениям с меткой блокировки.
- `label_trash_read` (boolean, optional) — Доступ к сообщениям в корзине.
- `draft_read` (boolean, optional) — Чтение черновиков.
- `draft_create` (boolean, optional) — Создание черновиков.
- `draft_update` (boolean, optional) — Изменение черновиков.
- `draft_delete` (boolean, optional) — Удаление черновиков.
- `draft_send` (boolean, optional) — Отправка черновиков.
- `webhook_read` (boolean, optional) — Чтение конфигураций вебхуков.
- `webhook_create` (boolean, optional) — Создание вебхуков.
- `webhook_update` (boolean, optional) — Изменение вебхуков.
- `webhook_delete` (boolean, optional) — Удаление вебхуков.
- `domain_read` (boolean, optional) — Чтение данных домена.
- `domain_create` (boolean, optional) — Создание доменов.
- `domain_update` (boolean, optional) — Изменение доменов.
- `domain_delete` (boolean, optional) — Удаление доменов.
- `list_entry_read` (boolean, optional) — Чтение записей списков.
- `list_entry_create` (boolean, optional) — Создание записей списков.
- `list_entry_delete` (boolean, optional) — Удаление записей списков.
- `metrics_read` (boolean, optional) — Чтение метрик.
- `api_key_read` (boolean, optional) — Чтение API-ключей.
- `api_key_create` (boolean, optional) — Создание API-ключей.
- `api_key_delete` (boolean, optional) — Удаление API-ключей.
- `pod_read` (boolean, optional) — Чтение подов.
- `pod_create` (boolean, optional) — Создание подов.
- `pod_delete` (boolean, optional) — Удаление подов.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "api_key_id": "api_key_id",
  "api_key": "api_key",
  "prefix": "prefix",
  "name": "name",
  "created_at": "2024-01-15T09:30:00Z",
  "pod_id": "pod_id",
  "inbox_id": "inbox_id",
  "permissions": {
    "inbox_read": true,
    "inbox_create": true,
    "inbox_update": true,
    "inbox_delete": true,
    "thread_read": true,
    "thread_delete": true,
    "message_read": true,
    "message_send": true,
    "message_update": true,
    "label_spam_read": true,
    "label_blocked_read": true,
    "label_trash_read": true,
    "draft_read": true,
    "draft_create": true,
    "draft_update": true,
    "draft_delete": true,
    "draft_send": true,
    "webhook_read": true,
    "webhook_create": true,
    "webhook_update": true,
    "webhook_delete": true,
    "domain_read": true,
    "domain_create": true,
    "domain_update": true,
    "domain_delete": true,
    "list_entry_read": true,
    "list_entry_create": true,
    "list_entry_delete": true,
    "metrics_read": true,
    "api_key_read": true,
    "api_key_create": true,
    "api_key_delete": true,
    "pod_read": true,
    "pod_create": true,
    "pod_delete": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys"

payload = {}
headers = {
    "Authorization": "Bearer  <api_key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer  <api_key>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer  <api_key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer  <api_key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys")
  .header("Authorization", "Bearer  <api_key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer  <api_key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer  <api_key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```